open Conversion ;;


(***********************************************************************
 * Chaines  afficher  l'cran
 ***********************************************************************)
let nom_admin = "Administrateur" ;;

let mess_erreur_ecriture  = convertir_affichage "Vous ne pouvez pas crire dans le fichier slectionn." ;;
let extension_anonyme     = " (anonyme)" ;;
let extension_prive       = " (priv)" ;;
let mess_cocher_esp_sauv  = convertir_affichage "Cochez les espaces  sauvegarder : " ;;
let mess_erreur_sauv      = convertir_affichage "Il n'y a aucun message  sauvegarder !" ;;
let mess_definir_esp      = convertir_affichage "Dfinissez le nouvel espace de discussion :" ;;
let mess_erreur_deconnecter = convertir_affichage "Vous devez tre connect  au-moins un espace !" ;;
let mess_erreur_refus_1   = convertir_affichage "Votre demande de cration de l'espace" ;;
let mess_erreur_refus_2   = convertir_affichage "a t refuse car un espace du mme nom et du mme type existe dj." ;;
let mess_erreur_login     = convertir_affichage ("Vous ne pouvez pas tre \"" ^ nom_admin ^ "\" !") ;;
let mess_erreur_nom_deja_pris = convertir_affichage "Le nom que vous avez choisi est dj pris !" ;;
let mess_erreur_selection_1 = convertir_affichage "L'utilisateur" ;;
let mess_erreur_selection_2 = convertir_affichage "n'est pas autoris  se connecter  l'espace priv" ;;
let mess_erreur_selection_3 = convertir_affichage "n'est pas autoris  se connecter aux espaces privs" ;;
let mess_dem_infos_connexion = convertir_affichage "Entrez les paramtres de connexion : " ;;
let mess_cocher_particip  = convertir_affichage "Veuillez cocher les espaces auxquels vous voulez participer." ;;
let mess_erreur_connecter = convertir_affichage "Aucun autre espace auquel se connecter..." ;;
let titre_bouton_envoyer  = convertir_affichage "Envoyer" ;;
let entete_fenetre_sauver = convertir_affichage "sauvegarde de " ;;
let titre_liste_nom       = convertir_affichage "nom" ;;
let titre_liste_message   = convertir_affichage "message" ;;
let titre_liste_id        = convertir_affichage "id" ;;
let titre_liste_connectes = convertir_affichage "connects" ;;
let mess_menu_sauver      = convertir_affichage "Sauvegarder la discussion" ;;
let mess_menu_effacer     = convertir_affichage "Effacer la discussion" ;;
let mess_menu_deconnecter = convertir_affichage "Dconnecter de l'espace" ;;
let mess_menu_connecter   = convertir_affichage "Connecter  un espace" ;;
let mess_menu_creer       = convertir_affichage "Crer un espace" ;;
let titre_label_type      = convertir_affichage "Type :  " ;;
let titre_label_logins    = convertir_affichage "logins : " ;;
let titre_label_noms      = convertir_affichage "Nom :  " ;;
let titre_non_anonyme     = convertir_affichage "non anonyme" ;;
let titre_anonyme         = convertir_affichage "anonyme" ;;
let titre_bouton_prive    = convertir_affichage "priv" ;;
let mess_depart_client    = " vient de partir." ;;
let mess_arrivee_client   = " vient d'arriver." ;;
let mess_changt_espace    = " vient de changer d'espace de discussion." ;;
let mess_arrivee_espace   = " est pass dans cet espace." ;;
let mess_connexion_espace = " vient de se connecter  cet espace." ;;
let mess_deconnexion_espace = " vient de se dconnecter de cet espace." ;;
let mess_erreur_coupure_1 = "La connexion avec le serveur a t coupe." ;;
let mess_erreur_coupure_2 = "L'application va se fermer dans 5 secondes." ;;
let mess_erreur_serv_abs  = convertir_affichage "Impossible de se connecter au serveur !\nTenter avec un autre serveur ?" ;;
let titre_label_serveur   = convertir_affichage "Nom ou ip du serveur : " ;;
let titre_port_serveur    = convertir_affichage "Numro de port du serveur : " ;;
let titre_label_surnom    = convertir_affichage "Votre nom ou surnom : " ;;
let mess_a_propos         = convertir_affichage (Printf.sprintf "\n\n%s\n%s\n\n%s\n%s\n\n%s\n%s"
                                                    "OTchatche"
                                                    "le Service de Chat"
                                                    "octobre 2002 - version 1.0\n"
                                                    "ralis par Emmanuel Dieul"
                                                    "<emmanuel.dieul@free.fr>"
                                                    "<http://emmanuel.dieul.free.fr>") ;;

let chainer_liste =
   let entourer = function element -> "\"" ^ element ^ "\""
   in
   let rec chainer = function
      | [] -> ""
      | [element] -> " et " ^ (entourer element)
      | element :: reste -> ", " ^ (entourer element) ^ (chainer reste)
   in
   function liste ->
      if List.length liste = 0 then
         ""
      else
         (entourer (List.hd liste)) ^ (chainer (List.tl liste))
;;
